package com.huiju.estateagents.eContract.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 电子合同注册用户表 
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaContractUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 电子合同用户id
     */
    @TableId(value = "contract_user_id", type = IdType.AUTO)
    private Integer contractUserId;

    /**
     * 小程序端的openid
     */
    private String miniOpenid;

    /**
     * 认证状态 registered已注册unregistered未注册verify审核中legalize已认证unlegalize未认证
     */
    private String authStatus;

    /**
     * 认证失败原因
     */
    private String reason;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /** 身份证号 */
    private String idCard;
    /** 手机号 */
    private String tel;

    /** 小程序用户id */
    private String personId;

}
